#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,192,256,320,448,640,896,1856,3776
 * N : 25,192,256,320,448,640,896,1856,3776
 * NB : 4,8,16,32,40,24,64,64,64
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 108) (nb_) = 4; \
   else if ((n_) < 224) (nb_) = 8; \
   else if ((n_) < 288) (nb_) = 16; \
   else if ((n_) < 384) (nb_) = 32; \
   else if ((n_) < 544) (nb_) = 40; \
   else if ((n_) < 768) (nb_) = 24; \
   else (nb_) = 64; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
